import { type Base, genBase } from './_base'
import type { Village } from './village'

export interface PostalRegion extends Base {
  code: string
  village_code: string

  // preload
  village?: Village | null
}

export function genPostalRegion(): PostalRegion {
  return {
    ...genBase(),
    code: '',
    village_code: '',
  }
}
